"{ Package: 'stx:libjava' }"

JavaDescriptor subclass:#JavaMethodDescriptor
	instanceVariableNames:'parameters return'
	classVariableNames:''
	poolDictionaries:''
	category:'Languages-Java-Support'
!


!JavaMethodDescriptor class methodsFor:'instance creation'!

parameters: parameterDescriptors return: returnDescriptor

    ^self new 
        parameters: parameterDescriptors;
        return: returnDescriptor;
        yourself

    "Created: / 25-11-2010 / 18:45:12 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!JavaMethodDescriptor methodsFor:'accessing'!

parameterClassObjects

    ^(Java classForName:'java.lang.Class') arrayClass
        withAll: (parameters collect:[:p|p javaClassObject])

    "Created: / 25-11-2010 / 19:53:58 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 19-12-2010 / 17:03:22 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

parameterClasses

    ^parameters collect:[:p|p javaClass]

    "Created: / 25-11-2010 / 19:53:47 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

parameters
    ^ parameters
!

return
    ^ return
!

returnClass
    ^ return javaClass

    "Created: / 25-11-2010 / 19:54:07 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

returnClassObject
    ^ return 
        ifNil:[JavaVM javaClassObjectForClass: UndefinedObject]
        ifNotNil:[JavaVM javaClassObjectForClass: self returnClass].

    "Created: / 25-11-2010 / 19:54:12 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 06-02-2011 / 16:16:17 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!JavaMethodDescriptor methodsFor:'initialization'!

parameters:aCollection
    parameters := aCollection asArray.

    "Modified: / 26-11-2010 / 10:19:23 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

return:something
    return := something.
! !

!JavaMethodDescriptor class methodsFor:'documentation'!

version_SVN
    ^ '$Id$'
! !
