"{ Package: 'stx:libjava' }"

JavaRef2 subclass:#JavaClassContentRef2
	instanceVariableNames:'classRef nameAndType'
	classVariableNames:''
	poolDictionaries:''
	category:'Languages-Java-Reader-Support-new'
!


!JavaClassContentRef2 class methodsFor:'instance creation'!

in: aJavaConstantPool namedAndTyped: arg1 inClassIdentifiedByRef: arg2 
    "Create & return a new instance for arg."
    
    ^ self basicNew initializeIn: aJavaConstantPool namedAndTyped: arg1 inClassIdentifiedByRef: arg2

    "Created: / 10-05-2011 / 16:18:07 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
! !

!JavaClassContentRef2 methodsFor:'accessing'!

classRef
    ^ classRef
!

descriptor
    ^ nameAndType descriptor.

    "Created: / 08-04-2011 / 15:08:16 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
!

name
    ^ nameAndType name.

    "Created: / 08-04-2011 / 13:54:28 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
!

nameAndType
^ nameAndType.

    "Created: / 11-04-2011 / 19:57:16 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
!

selector
    ^ nameAndType selector.

    "Created: / 11-04-2011 / 20:38:54 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
! !

!JavaClassContentRef2 methodsFor:'comparing'!

= anotherJavaRef
    "superclass JavaRef2 says that I am responsible to implement this method"

    ^ self shouldImplement
!

hash
    "superclass JavaRef2 says that I am responsible to implement this method"

    ^ self shouldImplement
! !

!JavaClassContentRef2 methodsFor:'initialization'!

initializeIn: aJavaConstantPool namedAndTyped: aNameAndType inClassIdentifiedByRef: aJavaClassRef 
constantPool := aJavaConstantPool.    
classRef := aJavaClassRef.
    nameAndType := aNameAndType.
    super initialize.

    "Created: / 10-05-2011 / 16:18:34 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
! !

!JavaClassContentRef2 methodsFor:'printing'!

printString
    ^ 'JavaClassContentRef: class=[' , classRef printString , '] name=[' 
        , nameAndType printString , ']'.

    "Created: / 10-05-2011 / 14:15:39 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
! !

!JavaClassContentRef2 methodsFor:'resolving'!

invalidate
    classRef invalidate.
    nameAndType invalidate.
    super invalidate.

    "Created: / 13-04-2011 / 12:21:38 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
    "Modified: / 10-05-2011 / 17:22:26 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
!

invalidateForClass: internalJavaClassName 
    "Invalidate (means call invalidate) reference if it has something to do with given class (e.g Class named internalJavaClassName was unloaded).
     Return true, if reference was invalidated."
    
    (classRef invalidateForClass: internalJavaClassName) 
        ifTrue: [ self invalidate. ^ true ].
        ^ false.

    "Modified: / 08-04-2011 / 16:05:52 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
! !

!JavaClassContentRef2 class methodsFor:'documentation'!

version_SVN
    ^ '$Id$'
! !
